%plotting
ia=4;ib=5;fsize=12;
horz=HH;
time=0:1:horz-1;




f=figure;
subplot(ia,ib,1)
plot(time,S(1:horz),time,Sstar(1:horz),'LineWidth',2);
box off;
title('Susceptibles, S','FontSize',fsize);
legend('Country A', 'Country B','Location', 'southeast');
set(gca,'FontSize',fsize);
xlim([0,horz]);

subplot(ia,ib,2)
plot(time,I(1:horz),time,Istar(1:horz),'LineWidth',2);
box off;
title('Infected, I','FontSize',fsize);
% ylabel('Share of Initial Population','FontSize',fsize);
set(gca,'FontSize',fsize);
xlim([0,horz]);

subplot(ia,ib,3)
plot(time,R(1:horz),time,Rstar(1:horz),'LineWidth',2);
box off;
title('Recovered, R','FontSize',fsize);
% ylabel('Share of Initial Population','FontSize',fsize);
xlabel('Weeks','FontSize',fsize);
set(gca,'FontSize',fsize);
xlim([0,horz]);

subplot(ia,ib,4)
plot(time,1-S(1:horz)-I(1:horz)-R(1:horz),...
    time,1-Sstar(1:horz)-Istar(1:horz)-Rstar(1:horz),'LineWidth',2);
box off;
title('Death, D','FontSize',fsize);
% ylabel('Share of Initial Population','FontSize',fsize);
xlabel('Weeks','FontSize',fsize);
set(gca,'FontSize',fsize);
xlim([0,horz]);

subplot(ia,ib,5)
plot(time,muh(1:horz),time,mufstar(1:horz),'LineWidth',2);
box off;
title('Tax','FontSize',fsize);
xlabel('Weeks','FontSize',fsize);
set(gca,'FontSize',fsize);
xlim([0,horz]);


subplot(ia,ib,6)
plot(time,(1+muf(1:horz))./(1+muh(1:horz))-1,time,...
    (1+muhstar(1:horz))./(1+mufstar(1:horz))-1,'LineWidth',2);
box off;
title('Tariff','FontSize',fsize);
xlabel('Weeks','FontSize',fsize);
set(gca,'FontSize',fsize);
xlim([0,horz]);

subplot(ia,ib,7)
plot(time,ph(1:horz)./pfstar(1:horz),'LineWidth',2);
box off;
title('Term of Trade','FontSize',fsize);
xlabel('Weeks','FontSize',fsize);
set(gca,'FontSize',fsize);
xlim([0,horz]);

subplot(ia,ib,8)
plot(time,xs(1:horz),time,xi(1:horz),time,xr(1:horz),'LineWidth',2);
box off;
title('Country A Consumption','FontSize',fsize);
legend('S', 'I', 'R','Location', 'southeast');
xlabel('Weeks','FontSize',fsize);
set(gca,'FontSize',fsize);
xlim([0,horz]);


deltaH = (alpha.^sigma*((1+muh).*ph).^(-sigma))./...
    (alpha.^sigma*((1+muh).*ph).^(-(sigma-1)) +...
    (1-alpha).^sigma*((1+muf).*pfstar).^(-(sigma-1))).^(sigma/(sigma-1));
deltaF = ((1-alpha).^sigma*((1+muf).*pfstar).^(-sigma))./...
    (alpha.^sigma*((1+muh).*ph).^(-(sigma-1)) +...
    (1-alpha).^sigma*((1+muf).*pfstar).^(-(sigma-1))).^(sigma/(sigma-1));

deltaFstar = (alpha.^sigma*((1+mufstar).*pfstar).^(-sigma))./...
    (alpha.^sigma*((1+mufstar).*pfstar).^(-(sigma-1)) +...
    (1-alpha)^sigma*((1+muhstar).*ph).^(-(sigma-1))).^(sigma/(sigma-1));
deltaHstar = ((1-alpha).^sigma*((1+muhstar).*ph).^(-sigma))./...
    (alpha.^sigma*((1+mufstar).*pfstar).^(-(sigma-1)) +...
    (1-alpha)^sigma*((1+muhstar).*ph).^(-(sigma-1))).^(sigma/(sigma-1));


subplot(ia,ib,9)
plot(time,chs(1:horz)./(chs(1:horz)+cfs(1:horz)),...
    time,chr(1:horz)./(chr(1:horz)+cfr(1:horz)),'LineWidth',2);
box off;
title('Country A Spending Share on A Good','FontSize',fsize);
legend('S', 'I/R', 'Location', 'southeast');
xlabel('Weeks','FontSize',fsize);
set(gca,'FontSize',fsize);
xlim([0,horz]);


subplot(ia,ib,10)
plot(time,xsstar(1:horz),time,xistar(1:horz),time,xrstar(1:horz),'LineWidth',2);
box off;
title('Country B Consumption','FontSize',fsize);
legend('S', 'I', 'R','Location', 'southeast');
xlabel('Weeks','FontSize',fsize);
set(gca,'FontSize',fsize);
xlim([0,horz]);


subplot(ia,ib,11)
plot(time,cfsstar(1:horz)./(chsstar(1:horz)+cfsstar(1:horz)),...
    time,cfrstar(1:horz)./(chrstar(1:horz)+cfrstar(1:horz)),'LineWidth',2);
box off;
title('Country B Spending Share on B Good','FontSize',fsize);
legend('S', 'I/R', 'Location', 'southeast');
xlabel('Weeks','FontSize',fsize);
set(gca,'FontSize',fsize);
xlim([0,horz]);


subplot(ia,ib,12)
plot(time,aggC(1:horz),time,aggCstar(1:horz),'LineWidth',2);
box off;
title('Aggregate Consumption','FontSize',fsize);
legend('Country A', 'Country B','Location', 'southeast');
xlabel('Weeks','FontSize',fsize);
set(gca,'FontSize',fsize);
xlim([0,horz]);



subplot(ia,ib,13)
plot(time,ls(1:horz),time,li(1:horz),time,lr(1:horz),'LineWidth',2);
box off;
title('Country A Labor','FontSize',fsize);
legend('S', 'I', 'R','Location', 'southeast');
xlabel('Weeks','FontSize',fsize);
set(gca,'FontSize',fsize);
xlim([0,horz]);
ylim([15,30]);

subplot(ia,ib,14)
plot(time,lsstar(1:horz),time,listar(1:horz),time,lrstar(1:horz),'LineWidth',2);
box off;
title('Country B Labor','FontSize',fsize);
legend('S', 'I', 'R','Location', 'southeast');
xlabel('Weeks','FontSize',fsize);
set(gca,'FontSize',fsize);
xlim([0,horz]);
ylim([15,30]);

subplot(ia,ib,15)
plot(time,aggL(1:horz),time,aggLstar(1:horz),'LineWidth',2);
box off;
title('Aggregate Labor','FontSize',fsize);
legend('Country A', 'Country B','Location', 'southeast');
xlabel('Weeks','FontSize',fsize);
set(gca,'FontSize',fsize);
xlim([0,horz]);
ylim([20,30]);



aggHours=S.*ls + I.*li + R.*lr;
aggHoursstar=Sstar.*lsstar + Istar.*listar + Rstar.*lrstar;

subplot(ia,ib,16)
plot(time,aggL(1:horz)./aggHours(1:horz),time,aggLstar(1:horz)./aggHoursstar(1:horz),'LineWidth',2);
box off;
title('Labor Efficiency','FontSize',fsize);
xlabel('Weeks','FontSize',fsize);
set(gca,'FontSize',fsize);
xlim([0,horz]);




ur=log(xr)-kappa/2*lr.^2;
urstar=log(xrstar)-kappa/2*lrstar.^2;
ui=log(xi)-kappa/2*li.^2;
uistar=log(xistar)-kappa/2*listar.^2;
us=log(xs)-kappa/2*ls.^2;
usstar=log(xsstar)-kappa/2*lsstar.^2;
aggu=S.*us + I.*ui + R.*ur;
aggustar=Sstar.*usstar + Istar.*uistar + Rstar.*urstar;

subplot(ia,ib,17)
plot(time,us(1:horz),time,ui(1:horz),time,ur(1:horz),'LineWidth',2);
box off;
title('Country A Utility','FontSize',fsize);
legend('S', 'I', 'R','Location', 'southeast');
xlabel('Weeks','FontSize',fsize);
set(gca,'FontSize',fsize);
xlim([0,horz]);

subplot(ia,ib,18)
plot(time,usstar(1:horz),time,uistar(1:horz),time,urstar(1:horz),'LineWidth',2);
box off;
title('Country B Utility','FontSize',fsize);
legend('S', 'I', 'R','Location', 'southeast');
xlabel('Weeks','FontSize',fsize);
set(gca,'FontSize',fsize);
xlim([0,horz]);


subplot(ia,ib,19)
plot(time,aggu(1:horz),time,aggustar(1:horz),time,(aggu(1:horz)+aggustar(1:horz))/2,'LineWidth',2);
box off;
title('Aggregate Utility','FontSize',fsize);
legend('Country A', 'Country B','Average','Location', 'southeast');
xlabel('Weeks','FontSize',fsize);
set(gca,'FontSize',fsize);
xlim([0,horz]);


% 
% subplot(ia,ib,20)
% plot(time,transfer(1:horz),'LineWidth',2);
% box off;
% title('Transfer F to H','FontSize',fsize);
% xlabel('Weeks','FontSize',fsize);
% set(gca,'FontSize',fsize);
% xlim([0,horz]);


Utext = ['Util: ', num2str(aggU-Urss), ',', num2str(aggUstar-Urss), ',', num2str(aggU+aggUstar - Urss*2)];




orient landscape

f.PaperSize = [20 16]*1.5;


